Test Alert Plugin

Test Alert Plugin
Test existing Notification Plugin Instance connectivity

Test existing Notification Plugin Instance connectivity

Request
URI
POST
https://{api_host}/suite-api/api/alertplugins/{pluginId}/test
COPY
Path Parameters
string
pluginId
Required

The identifier of the plugin instance

Query Parameters
string
templateId
Optional
Constraints: default:

Notification template identifier

string
receiverAddress
Optional
Constraints: default:

Receiver email address


Authentication
This operation uses the following authentication methods.
Responses
200

Test connection successfully

Returns notification-plugin of type(s) application/json
"{\n  \"pluginTypeId\" : \"StandardEmailPlugin\",\n  \"pluginId\" : \"18589dea-9999-1234-abba-f1ee73004dac\",\n  \"name\" : \"Notification Plugin Updated Sample\",\n  \"description\" : \"Where to notify Example\",\n  \"version\" : 140592123,\n  \"configValues\" : [ {\n    \"name\" : \"IS_SECURE_CONNECTION\",\n    \"value\" : \"true\"\n  }, {\n    \"name\" : \"SMTP_HOST\",\n    \"value\" : \"10.118.48.101\"\n  }, {\n    \"name\" : \"SMTP_PORT\",\n    \"value\" : \"25\"\n  }, {\n    \"name\" : \"senderEmailAddress\",\n    \"value\" : \"[email protected]\"\n  }, {\n    \"name\" : \"senderName\",\n    \"value\" : \"Somebody\"\n  } ]\n}"
array of object
certificates
Optional

Any set of untrusted certificates returned by the adapter source

array of object
configValues
Optional

The list of name value pairs for Plugin configuration

string
description
Optional

The description for the configuration

boolean
enabled
Optional

A read-only property whose value is set by the system

string
name
Required

The name for the configuration

string As uuid As uuid
pluginId
Optional

The Plugin Id, cannot be null during update operations

string
pluginTypeId
Required

The plugin type identifier


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/suite-api/api/alertplugins/{pluginId}/test